<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterContasPagarReceberDropCodigoBarrasFornecedor extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('contas_pagar_receber', function (Blueprint $table) {
            $table->dropColumn('codigo_barras');
            $table->dropColumn('fornecedor');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('contas_pagar_receber', function (Blueprint $table) {
            $table->string('codigo_barras', 48)->nullable();
            $table->string('fornecedor', 150);
        });
    }
}
